Imports Reports

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim report As Telerik.Reporting.Report
        report = New Report1()
        report.ReportParameters(0).Value = Me.TextBox1.Text
        Me.Session("Report") = report
        Me.Server.Transfer("ReportViewer.aspx")
        ' or
        'Me.Response.Redirect("ReportViewer.aspx")
    End Sub
End Class
